## neutron 17.4.1

=== debian/changelog ===
neutron (2:17.4.1-0ubuntu1~cloud4) focal-victoria; urgency=medium

  * d/control: Add openvswitch-common dependency to neutron-server
    binary package (LP: #1960319).

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Fri, 27 Jan 2023 13:38:18 +0000

neutron (2:17.4.1-0ubuntu1~cloud3) focal-victoria; urgency=medium

  [ Zhang Hua ]
  * d/p/defer-flow-deletion-in-openvswitch-firewall.patch:
    Defer flow deletion in openvswitch firewall (LP: #1975674)

  [ Edward Hope-Morley ]
  * Ensure ovn virtual port type not removed (LP: #1973276)
    - d/p/ovn-allow-vip-ports-with-defined-device-owner.patch
    - d/p/set-type-virtual-for-ovn-lsp-with-parent-ports.patch

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Sep 2022 13:42:46 -0400

neutron (2:17.4.1-0ubuntu1~cloud2) focal-victoria; urgency=medium

  * d/p/partially-revert-do-not-link-up-ha-router-gateway-in.patch:
    Picked from upstream to ensure that ha_confs path is created
    when the keepalived manager is initialised (LP: #1965297).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Jul 2022 15:37:53 -0400

neutron (2:17.4.1-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New stable point release for OpenStack Victoria (LP: #1976543).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Jun 2022 14:05:32 -0400

neutron (2:17.3.0-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New stable point release for OpenStack Victoria (LP: #1962772).
  * Remove patches that have landed upstream:
      - d/p/revert-l3-ha-retry-when-setting-ha-router-gw-status.patch
      - d/p/lp1934912-set-arp-entries-only-for-single-ip.patch

 -- Felipe Reyes <felipe.reyes@canonical.com>  Wed, 02 Mar 2022 16:55:10 -0300

neutron (2:17.2.1-0ubuntu1~cloud3) focal-victoria; urgency=medium

  * d/neutron-l3-agent.init.in: Drop /etc/neutron/fwaas_driver.ini
    which was removed in a prior package version (LP: #1958863).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 24 Jan 2022 10:00:46 -0500

neutron (2:17.2.1-0ubuntu1~cloud2) focal-victoria; urgency=medium

  * No change rebuild

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 12:08:51 +0000

neutron (2:17.2.1-0ubuntu1~cloud1) focal-victoria; urgency=medium

  * d/p/lp1934912-set-arp-entries-only-for-single-ip.patch: Cherry-pick
    upstream patch (LP: #1934912)

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 12:08:25 +0000

neutron (2:17.2.1-0ubuntu1~cloud0) focal-victoria; urgency=medium

  [ Corey Bryant ]
  * d/control: Drop neutron-fwaas dependency as it is no longer maintained
    (LP: #1934129).

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Victoria (LP: #1943711).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 16 Sep 2021 10:25:20 +0000

neutron (2:17.2.0-0ubuntu1~cloud1) focal-victoria; urgency=medium

  * d/p/revert-l3-ha-retry-when-setting-ha-router-gw-status.patch: Revert
    upstream patch that introduced regression that prevented full restore
    of HA routers on restart of L3 agent (LP: #1927868).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Jul 2021 17:00:48 -0400

neutron (2:17.2.0-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 15 Jul 2021 12:27:42 +0000
