## neutron 18.0.0

=== debian/changelog ===
neutron (2:18.0.0-0ubuntu2) hirsute; urgency=medium

  * Cherry-pick patches from upstream master to initialize privsep library:
    - d/p/initialize-privsep-library-for-neutron-ovs-cleanup.patch (LP: #1923453).
    - d/p/initialize-privsep-library-in-neutron-commands.patch (LP: #1923870).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 13:13:40 -0400

neutron (2:18.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:32:03 +0000

neutron (2:18.0.0~rc2-0ubuntu2) hirsute; urgency=medium

  * d/neutron-common.install: Add missing rootwrap filter for privsep
    (LP: #1923453).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Apr 2021 10:57:31 -0400

neutron (2:18.0.0~rc2-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 18.x series
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/0001-Fix-deletion-of-rfp-interfaces-when-router-is-re-ena.patch,
    d/p/revert-dvr-remove-control-plane-arp-updates.patch,
    d/p/debian/patches/improve-get-devices-with-ip-performance.patch,
    Dropped. Fixed upstream.
  * d/neutron-common.install: Remove rootwrap filters that were removed
    upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Apr 2021 13:57:05 +0000

neutron (2:17.1.0+git2021012815.0fb63f7297-0ubuntu5) hirsute; urgency=medium

  * d/p/improve-get-devices-with-ip-performance.patch: Performance of
    get_devices_with_ip is improved to limit the amount of information
    to be sent and reduce the number of syscalls. (LP: #1896734).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 Mar 2021 16:01:26 -0500

neutron (2:17.1.0+git2021012815.0fb63f7297-0ubuntu4) hirsute; urgency=medium

  * d/p/revert-dvr-remove-control-plane-arp-updates.patch: Cherry-picked
    from https://review.opendev.org/c/openstack/neutron/+/777903 to prevent
    permanent arp entries that never get deleted (LP: #1916761).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Mar 2021 10:49:14 -0500

neutron (2:17.1.0+git2021012815.0fb63f7297-0ubuntu3) hirsute; urgency=medium

  [ Edward Hope-Morley ]
  * Backport fix for dvr-snat missig rfp interfaces (LP: #1894843)
    - d/p/0001-Fix-deletion-of-rfp-interfaces-when-router-is-re-ena.patch

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Feb 2021 12:41:20 -0500

neutron (2:17.1.0+git2021012815.0fb63f7297-0ubuntu2) hirsute; urgency=medium

  * d/control: Reduce required version for python-asteroid as pylint has
    a lower requirement.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 03 Feb 2021 16:36:24 +0000

neutron (2:17.1.0+git2021012815.0fb63f7297-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-removal-of-dvr-src-mac-flows.patch: Dropped. Fixed in upstream
    snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 15:08:16 -0500

neutron (2:17.0.0+git2020120911.b5ea767bc3-0ubuntu2) hirsute; urgency=medium

  * d/p/fix-removal-of-dvr-src-mac-flows.patch: Cherry-picked from upstream to
    fix removal of dvr-src mac flows when non-gateway port on router is deleted
    (LP: #1892405).
  * d/control: Set min BD version of python3-eventlet to 0.30.0.
  * d/control: Set min BD version of python-oslo.db to 8.5.0+really.8.4.0 to
    align with upper-constraints.
  * d/rules: Add PYTHONWARNINGS to unit test execution inline with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Jan 2021 14:04:22 -0500

neutron (2:17.0.0+git2020120911.b5ea767bc3-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 11:47:53 -0500
