=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
  python3-setuptools,
 Build-Depends-Indep:
  crudini,
- python3-alembic (>= 0.8.10),
+ iproute2,
+ python3-alembic (>= 0.9.6),
  python3-astroid (>= 2.3.3),
  python3-bandit (>= 1.1.0),
  python3-bashate (>= 0.5.1),
@@ -21,59 +22,59 @@
  python3-debtcollector (>= 1.19.0),
  python3-decorator (>= 3.4.0),
  python3-designateclient (>= 2.7.0),
- python3-eventlet (>= 0.21.0),
+ python3-eventlet (>= 0.22.1),
  python3-fixtures (>= 3.0.0),
  python3-futurist (>= 1.2.0),
- python3-hacking (>= 1.1.0),
+ python3-hacking,
  python3-httplib2 (>= 0.9.1),
  python3-isort (>= 4.3.21),
  python3-jinja2 (>= 2.10),
  python3-keystoneauth1 (>= 3.14.0),
- python3-keystonemiddleware (>= 4.17.0),
+ python3-keystonemiddleware (>= 5.1.0),
  python3-mock (>= 3.0.0),
  python3-netaddr (>= 0.7.18),
  python3-netifaces (>= 0.10.4),
- python3-neutron-lib (>= 2.6.0),
+ python3-neutron-lib (>= 2.10.1),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
  python3-openssl (>= 17.1.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-openstacksdk (>= 0.31.2),
- python3-openvswitch (>= 2.8.0),
+ python3-openvswitch (>= 2.10.0),
  python3-os-ken (>= 0.3.0),
  python3-os-testr (>= 1.0.0),
  python3-os-vif (>= 1.15.1),
  python3-os-xenapi (>= 0.3.1),
  python3-oslo.cache (>= 1.26.0),
  python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 1:2.20.0),
+ python3-oslo.config (>= 1:8.0.0),
+ python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 4.44.0),
  python3-oslo.i18n (>= 3.20.0),
- python3-oslo.log (>= 4.2.1),
+ python3-oslo.log (>= 4.3.0),
  python3-oslo.messaging (>= 7.0.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
+ python3-oslo.policy (>= 3.7.0),
  python3-oslo.privsep (>= 2.3.0),
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.rootwrap (>= 5.8.0),
  python3-oslo.serialization (>= 2.25.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.upgradecheck (>= 0.1.0),
- python3-oslo.utils (>= 4.4.0),
+ python3-oslo.service (>= 1.31.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.utils (>= 4.5.0),
  python3-oslo.versionedobjects (>= 1.35.1),
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 2.3.0),
- python3-ovsdbapp (>= 1.3.0),
+ python3-ovsdbapp (>= 1.7.0),
  python3-paste (>= 2.0.2),
  python3-pastedeploy (>= 1.5.0),
  python3-pecan (>= 1.3.2),
  python3-pep8,
- python3-psutil (>= 3.2.2),
+ python3-psutil (>= 5.3.0),
  python3-pycodestyle (>= 2.0.0),
  python3-pymysql (>= 0.7.6),
  python3-pyroute2 (>= 0.5.13),
- python3-requests (>= 2.14.2),
+ python3-requests (>= 2.18.0),
  python3-routes (>= 2.3.1),
  python3-six (>= 1.10.0),
  python3-sphinx (>= 2.0.0),
@@ -147,6 +148,7 @@
  keepalived,
  neutron-metadata-agent (= ${source:Version}),
  python3-neutron (= ${source:Version}),
+ python3-neutron-fwaas (>= 1:13.0.0~),
  radvd,
  ${misc:Depends},
  ${python3:Depends},
@@ -310,7 +312,6 @@
 Architecture: all
 Depends:
  adduser,
- openvswitch-common,
  python3-neutron (= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -330,4 +331,3 @@
  This package provides the Neutron server
 
 Package: neutron-sriov-agent
-Architecture: all
