## neutron 18.1.1

=== debian/changelog ===
neutron (2:18.1.1-0ubuntu2) hirsute; urgency=medium

  * d/p/lp1934912-set-arp-entries-only-for-single-ip.patch: Cherry-pick
    upstream patch (LP: #1934912)

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 01 Oct 2021 06:42:37 +0000

neutron (2:18.1.1-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/control: Drop neutron-fwaas dependency as it is no longer maintained
    (LP: #1934129).
  * d/p/revert-rely-on-worker-count-for-hashring-caching.patch: Dropped.
    Fixed upstream by https://review.opendev.org/c/openstack/neutron/+/800679
    in the 18.1.1 stable release.

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Wallaby (LP: #1943709).
  * d/p/series: Remove reference to removed patch.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 15 Sep 2021 12:40:12 +0000

neutron (2:18.1.0-0ubuntu2) hirsute; urgency=medium

  * d/p/revert-l3-ha-retry-when-setting-ha-router-gw-status.patch: Revert
    upstream patch that introduced regression that prevented full restore
    of HA routers on restart of L3 agent (LP: #1927868).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Jul 2021 16:52:11 -0400

neutron (2:18.1.0-0ubuntu1) hirsute; urgency=medium

  * New stable point release for OpenStack Wallaby (LP: #1935027).
  * Remove patches that have landed upstream:
    - d/p/remove-leading-zeroes-from-an-ip-address.patch.
    - d/p/initialize-privsep-library-for-neutron-ovs-cleanup.patch.
    - d/p/initialize-privsep-library-in-neutron-commands.patch.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 13 Jul 2021 14:11:05 +0000

neutron (2:18.0.0-0ubuntu2.1) hirsute; urgency=medium

  * d/gbp.conf: Create stable/wallaby branch.
  * d/p/revert-rely-on-worker-count-for-hashring-caching.patch: Revert
    patch due to SR-IOV regression (LP: #1931244).
  * d/p/remove-leading-zeroes-from-an-ip-address.patch: Cherry-picked from
    upstream to fix failing test (LP: #1930222).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Jun 2021 10:52:23 -0400
