=== debian/control ===
--- 
+++ 
@@ -148,7 +148,6 @@
  keepalived,
  neutron-metadata-agent (= ${source:Version}),
  python3-neutron (= ${source:Version}),
- python3-neutron-fwaas (>= 1:13.0.0~),
  radvd,
  ${misc:Depends},
  ${python3:Depends},
@@ -331,3 +330,5 @@
  This package provides the Neutron server
 
 Package: neutron-sriov-agent
+Architecture: all
+Depends:
